> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bondio.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List transactions on your account

> Returns a chronologically sorted list of transactions on the prepaid balance of your account with latest transactions first. 



## OpenAPI

````yaml /openapi.yaml get /v1/prepaid-balance/transactions
openapi: 3.1.0
info:
  title: Bondio API
  version: '1.0'
  description: Bondio's REST API for eSIM provisioning, plans, subscriptions, and billing.
servers:
  - url: https://api.bondio.co
    description: prod
security:
  - BearerAuth: []
tags:
  - name: Plan
  - name: Esim
  - name: Subscription
  - name: Addon Attachment
paths:
  /v1/prepaid-balance/transactions:
    get:
      tags:
        - Account Balance
      summary: List transactions on your account
      description: >-
        Returns a chronologically sorted list of transactions on the prepaid
        balance of your account with latest transactions first. 
      operationId: get-v1-prepaid-balance-transactions
      parameters:
        - schema:
            type: string
          in: query
          name: category
          description: category of the transaction - purchase, consumption, topup, etc.
        - schema:
            type: string
          in: query
          name: type
          description: transaction type - credit or debit
        - schema:
            type: string
          in: query
          name: pageSize
        - schema:
            type: string
          in: query
          name: page
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                required:
                  - items
                  - nextPage
                properties:
                  items:
                    type: array
                    x-stoplight:
                      id: fh0yj87b43zqc
                    items:
                      $ref: '#/components/schemas/BalanceTransaction'
                      x-stoplight:
                        id: xxwwpteiglzny
                  nextPage:
                    type:
                      - string
                      - 'null'
                    x-stoplight:
                      id: l0w7skf92d4e6
components:
  schemas:
    BalanceTransaction:
      title: BalanceTransaction
      x-stoplight:
        id: 5jzv81v94q41e
      type: object
      x-internal: false
      properties:
        id:
          type: string
          x-stoplight:
            id: bujapzdh68464
        amount:
          type: number
          x-stoplight:
            id: zxjs0upmizyyu
        category:
          type: string
          x-stoplight:
            id: zp03tw0otsief
        currency:
          type: string
          x-stoplight:
            id: ku3w6jibix9h9
        changeType:
          x-stoplight:
            id: b31ylghybz190
          enum:
            - credit
            - debit
        createdAt:
          type: integer
          x-stoplight:
            id: wv8dmlrgbtb97
        description:
          type: string
          x-stoplight:
            id: zommovpzgbnuo
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````